凯得吧[CAD8.Net]

 找回密码
 注册会员

QQ登录

只需一步,快速开始

尊敬的会员:如您的密码仅为数字等简单密码,为帐号安全,请务必修改! 新会员请验证邮箱!升级后可发主题贴!
分享内容请勿对会员进行二次引导,附件有密码请务必在贴内说明,或使用本站默认密码:www.cad8.net
本站所有资料为会员上传仅供大家学习之用,商用请务必购买正版版权!有侵权之处,请联系管理员(QQ:119891935)删除!
查看: 647|回复: 0
收起左侧

在CAD中获取当前显示范围的左下角和右上角坐标

[复制链接]
发表于 2016-11-19 06:53:02 | 显示全部楼层 |阅读模式 简体中文繁體中文
用QQ等截图工具截图后,点中发贴区直接按Ctrl+V键就可以将截图粘贴到发贴框.

欢迎加入,注册成为会员,享用更多功能,完全免费。

您需要 登录 才可以下载或查看,没有帐号?注册会员

x

转载来的,希望对大家有用,版权归原作者哈。

代码如下:

  1. '————————————————————————————————
  2. '名称:GetActiveRange
  3. '作者:罗简单
  4. '日期:2010-8-3
  5. '功能:获取当前显示范围
  6. '————————————————————————————————
  7. Public Sub GetActiveRange(varWS As Variant, varEN As Variant)
  8.   '思路:1、先获取当前显示范围的中心点、高度、和当前范围像素X、Y;
  9.   '      2、根据高度、像素X、Y求出宽度
  10.   '      3、根据中心点、高度、宽度求出范围
  11.   '系统变量的意义:
  12.   'VIEWCTR:获取当前显示范围中心点坐标
  13.   'VIEWSIZE:获取当前显示范围高度
  14.   'SCREENSIZE:获取当前显示范围的大小(X和Y,以像素为单位存储)

  15.   Dim varCenter As Variant  '中心点
  16.   Dim dblHeight As Double  '高度
  17.   Dim dblWidth As Double  '宽度
  18.   Dim varRange As Variant  '像素范围
  19.   varCenter = ThisDrawing.GetVariable("VIEWCTR")  '获取中心点坐标
  20.   dblHeight = ThisDrawing.GetVariable("VIEWSIZE")  '获取高度
  21.   varRange = ThisDrawing.GetVariable("SCREENSIZE") '获取像素单位X和Y
  22.   dblWidth = dblHeight * varRange(0) / varRange(1) '计算出宽度

  23.   Dim dblWS(2) As Double  '西南角坐标
  24.   Dim dblEN(2) As Double  '东北角坐标
  25.   dblWS(0) = varCenter(0) - dblWidth / 2
  26.   dblWS(1) = varCenter(1) - dblHeight / 2
  27.   dblEN(0) = varCenter(0) + dblWidth / 2
  28.   dblEN(1) = varCenter(1) + dblHeight / 2
  29.   varWS = dblWS
  30.   varEN = dblEN
  31. End Sub


您需要登录后才可以回帖 登录 | 注册会员

本版积分规则

本站所有资料仅供大家学习之用,商用请务必购买正版版权!有侵权之处,请联系管理员(QQ:119891935)删除!
 
在线客服
ҷϢ
+++++++++ CAD论坛公众号

欢迎扫码关注!
快速回复 返回顶部 返回列表